Endpoints related to Account Opening.
Prepopulate a Personalised Illustration
Instructs creation of a Transact Personalised Illustration and pre-populates certain data points within the illustration and subsequent Guided Application.
Notes
At a high level the request structure is as follows:
| Field | Description |
|---|---|
investors | Information about the applicants. There are three application types possible: • Adult portfolio - One individual applicant over the age of 18 • Joint adult portfolio - Two individual applicants over the age of 18 • Child portfolio - One individual applicant under the age of 18 |
registered_contact | Parent/guardian information for a child portfolio. |
bank_account | Bank account information to be associated with adult portfolios. |
For the adviser to complete the process, the returned link (see _links in the response) can be used to work with the newly created
illustration within Transact Online. If the user has since proceeded to Guided Applications,
the application will be displayed (with an option to return to the illustration).
The following fields are disregarded for child applicants:
nino (where a child is under the age of 15 years and 9 months), bank_account,
investor_category, mobile_number, phone_number, email_address and postal_address.
Authorisation Requirements
This endpoint requires a valid Transact access token with:
FIRMroleinvestor-illustration-profilescope
path Parameters
adviser_id^[0-9]{9}$ · requiredThe adviser's Transact number.
Headers
Transact-Api-VersionThe targeted API version. This must be set to the current version of the API.
AuthorizationTransact access token, provided using the Bearer HTTP authentication scheme.
Prepopulate a Personalised Illustration › Request Body
The list of applicants.
- If one adult individual is provided, an adult portfolio can be created.
- If two adult individuals are provided, both a joint portfolio and individual portfolios can be created.
- If one child individual is provided, a child portfolio will be created.
Details of the Registered Contact. Only relevant for a child portfolio and is ignored where supplied for adult applicant(s).
The bank account information for the portfolio. Ignored where supplied for a child applicant.
Prepopulate a Personalised Illustration › Responses
Created successfully.
idThe id of the illustration created.
adviser_id^[0-9]{9}$ · requiredThe adviser's Transact number.
nameThe illustration name consists of the investor names and date time of the illustration created.
The URIs relevant to the Account Opening API.

